Bug 254731 - [PATCH] security/pam_mysql: Add workaround for newer mysql version
Summary: [PATCH] security/pam_mysql: Add workaround for newer mysql version
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-02 22:16 UTC by klaus
Modified: 2021-04-02 22:17 UTC (History)
0 users

See Also:


Attachments
extra patch for pam_mysql.c (966 bytes, patch)
2021-04-02 22:16 UTC, klaus
no flags Details | Diff
Makefile patch add option for extra patch (506 bytes, patch)
2021-04-02 22:17 UTC, klaus
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description klaus 2021-04-02 22:16:13 UTC
Created attachment 223777 [details]
extra patch for pam_mysql.c

I maintain a few customer systems with cyrus-sasl-saslauthd / pam_mysql on mysql 5.6.

After upgrading to mysql80-server, pam_mysql throws an error stating that make_scrambled_password() as undefined symbol so testsaslauthd failes authentication.

This patch is only a workaround to make pam_mysql work again till another sql solution is implemented for sasl authentication in postfix.
Comment 1 klaus 2021-04-02 22:17:20 UTC
Created attachment 223778 [details]
Makefile patch add option for extra patch